Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00025 Graphics Minor Have not tried Jan 16, 2008, 05:42 Dec 29, 2020, 23:05
Tester Twisty View Status Public Platform
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver superchs.cpp
Version 0.101u5 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00025: superchs: The screen occassionally flickers/flashes with incorrect graphics.
Description The screen occassionally flickers/flashes with incorrect graphics, and it seems to get worse in the later levels.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.37b13
Affected Sets / Systems superchs
Attached Files
png file icon superchs0101u5gre.png (76,727 bytes) Feb 13, 2008, 21:41
png file icon 804.PNG (872,192 bytes) Dec 29, 2020, 21:53 Uploaded by MetalGod
png file icon 055.PNG (761,641 bytes) Dec 29, 2020, 21:53 Uploaded by MetalGod
MetalGod
png file icon 242.PNG (700,277 bytes) Dec 29, 2020, 21:54 Uploaded by MetalGod
MetalGod
png file icon 432.PNG (782,848 bytes) Dec 29, 2020, 21:54 Uploaded by MetalGod
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.08103
pri88
Viewer
Jan 29, 2012, 19:16
yea, just noticed this for myself today. eg. if u watch the game attract mode long enough (few minutes) eventually u see a train full of bad guys and your car goes through a tunnel. the gfx seem to be quite messed up here (no doubt the op has noticed other gfx issues in various other places throughout the game).
User avatar
No.08116
Haze
Senior Tester
Jan 31, 2012, 05:14
yeah the emulation of the Taito games in MAME is pretty much at the 'needs rewrite' stage. It's showing it's age across the board, and I think we can afford the CPU power to do proper video mixing etc. these days ;-)

You get sprites stuck on the screen if you leave attract mode long enough too.
User avatar
No.18301
MetalGod
Senior Tester
Dec 29, 2020, 20:33
edited on: Dec 29, 2020, 21:58
The bug reported here is a BTANB. The original hardware presents the same issues.
Check this video in minutes:
0:55 (stage 1)
2:42 (stage 2)
4:32 (stage 3)
8:04 (stage 4)



The same kind of glitches can be seen in current MAME
4:17 (stage 2)
User avatar
No.18303
MetalGod
Senior Tester
Dec 29, 2020, 23:05
I've reported the bug mentioned by pri88 in 07829. It is a different matter.